Rails.application.routes.draw do
	locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
  WritingConferenceSetting.create if WritingConferenceSetting.count == 0
	scope "(:locale)", locale: Regexp.new(locales.join("|")) do
		namespace :admin do
      post 'writing_conference_update_setting' => "writing_conferences#update_setting"
      patch 'writing_conference_update_setting' => "writing_conferences#update_setting"
      get 'writing_conference_setting' => "writing_conferences#setting"
      get 'writing_conferences/download_excel_format' => 'writing_conferences#excel_format'
      post 'writing_conferences/import_from_excel' => 'writing_conferences#import_from_excel'

      resources :writing_conferences do
        collection do
          post 'merge_process' => 'writing_conferences#merge_process'
          get 'merge' => 'writing_conferences#merge'
          get 'toggle_hide' => 'writing_conferences#toggle_hide'
          get 'analysis'
          get 'analysis_report'
          get "download_excel"
        end
      end

      resources :members do
        collection do
          scope '(:name-:uid)' do
            resources :writing_conferences do
              collection do
                get 'frontend_setting' => 'writing_conferences#frontend_setting'
                post 'update_frontend_setting' => 'writing_conferences#update_frontend_setting'
              end
            end
          end
        end
      end
      
      resources :conference_paper_types
      resources :conference_paper_levels
      resources :conference_author_types
      resources :tags
		end
    get "/xhr/personal_conference/get_fields_for_index" => "personal_conferences#get_fields_for_index"
    post "/xhr/personal_conference/save_index_fields" => "personal_conferences#save_index_fields"
	end
end
